<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Hierarchy</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="inherits.html">Go to the graphical class hierarchy</a></p>
This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>exception</b></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_exception.html" target="_self">XsException</a></td><td class="desc">Exception class for Xsens public libraries. Inherits from std::exception </td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message_header_1_1_length_data_1_1_extended_length.html" target="_self">XsMessageHeader::LengthData::ExtendedLength</a></td><td class="desc">Contains extended length information and first byte of data buffer if normal length is 255 </td></tr>
<tr id="row_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message_header_1_1_length_data_1_1_extended_length_1_1_extended_parts.html" target="_self">XsMessageHeader::LengthData::ExtendedLength::ExtendedParts</a></td><td class="desc">The high and low byte of the extended length </td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_3_" class="arrow" onclick="toggleFolder('3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_io_interface.html" target="_self">IoInterface</a></td><td class="desc">An abstract IO interface </td></tr>
<tr id="row_3_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_io_interface_file.html" target="_self">IoInterfaceFile</a></td><td class="desc">The low-level file communication class </td></tr>
<tr id="row_3_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_3_1_" class="arrow" onclick="toggleFolder('3_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_stream_interface.html" target="_self">StreamInterface</a></td><td class="desc">A stream interface </td></tr>
<tr id="row_3_1_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_serial_interface.html" target="_self">SerialInterface</a></td><td class="desc">The low-level serial communication class </td></tr>
<tr id="row_3_1_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_usb_interface.html" target="_self">UsbInterface</a></td><td class="desc">An <a class="el" href="struct_io_interface.html" title="An abstract IO interface. ">IoInterface</a> for dealing specifically with Xsens USB devices </td></tr>
<tr id="row_4_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_4_" class="arrow" onclick="toggleFolder('4_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_i_protocol_handler.html" target="_self">IProtocolHandler</a></td><td class="desc">Interface class for protocol handlers </td></tr>
<tr id="row_4_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_protocol_handler.html" target="_self">ProtocolHandler</a></td><td class="desc">Message protocol handling class </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_base.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImplBase&lt; F, R, Derived &gt;</a></td><td class="desc">STL-style iterator </td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_6_" class="arrow" onclick="toggleFolder('6_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_base.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImplBase&lt; F, T const, IteratorImplConst&lt; F &gt; &gt;</a></td><td class="desc"></td></tr>
<tr id="row_6_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_const.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImplConst&lt; F &gt;</a></td><td class="desc">A const iterator implementation </td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_7_" class="arrow" onclick="toggleFolder('7_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl_base.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImplBase&lt; F, T, IteratorImpl&lt; F &gt; &gt;</a></td><td class="desc"></td></tr>
<tr id="row_7_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl_1_1_iterator_impl.html" target="_self">XsArrayImpl&lt; T, D, I &gt;::IteratorImpl&lt; F &gt;</a></td><td class="desc">A non-const iterator implementation </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_legacy_data_packet.html" target="_self">LegacyDataPacket</a></td><td class="desc">Contains an MTData <a class="el" href="struct_xs_message.html" title="Structure for storing a single message. ">XsMessage</a> and supports functions for extracting contained data </td></tr>
<tr id="row_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="union_xs_message_header_1_1_length_data.html" target="_self">XsMessageHeader::LengthData</a></td><td class="desc">Contains optional extended length of message and first byte of data buffer </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_message_location.html" target="_self">MessageLocation</a></td><td class="desc">Stores the location of a message in a buffer using a start position and a size </td></tr>
<tr id="row_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_mtw_sdi_data.html" target="_self">MtwSdiData</a></td><td class="desc">Class to store strapdown integration data </td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_packet_fixed_data.html" target="_self">PacketFixedData</a></td><td class="desc">A structure containing fixed packet data, which should not change during a measurement for the same device </td></tr>
<tr id="row_13_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_packet_info.html" target="_self">PacketInfo</a></td><td class="desc">Contains offset information about data in the packet </td></tr>
<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_packet_stamper.html" target="_self">PacketStamper</a></td><td class="desc">Supplies functionality for timestamping data packets </td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_analog_in_data.html" target="_self">XsAnalogInData</a></td><td class="desc">Data from analog inputs from sensors </td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_16_" class="arrow" onclick="toggleFolder('16_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array.html" target="_self">XsArray</a></td><td class="desc">Provides generic storage for data in an array and manipulation operations on that data </td></tr>
<tr id="row_16_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_0_" class="arrow" onclick="toggleFolder('16_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; T, D, I &gt;</a></td><td class="desc">A C++ wrapper for <a class="el" href="struct_xs_array.html" title="Provides generic storage for data in an array and manipulation operations on that data...">XsArray</a>, this is a template class for the actual specialized classes </td></tr>
<tr id="row_16_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_string.html" target="_self">XsString</a></td><td class="desc">A 0-terminated managed string of characters </td></tr>
<tr id="row_16_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_1_" class="arrow" onclick="toggleFolder('16_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; int, g_xsIntArrayDescriptor, XsIntArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_int_array.html" target="_self">XsIntArray</a></td><td class="desc">A list of XsInt values </td></tr>
<tr id="row_16_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_2_" class="arrow" onclick="toggleFolder('16_2_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; int64_t, g_xsInt64ArrayDescriptor, XsInt64Array &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_2_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_int64_array.html" target="_self">XsInt64Array</a></td><td class="desc">A list of int64_t values </td></tr>
<tr id="row_16_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_3_" class="arrow" onclick="toggleFolder('16_3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; uint8_t, g_xsByteArrayDescriptor, XsByteArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_3_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_byte_array.html" target="_self">XsByteArray</a></td><td class="desc">A list of uint8_t values </td></tr>
<tr id="row_16_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_4_" class="arrow" onclick="toggleFolder('16_4_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsDeviceId, g_xsDeviceIdArrayDescriptor, XsDeviceIdArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_4_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_id_array.html" target="_self">XsDeviceIdArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_device_id.html" title="Contains an Xsens device ID and provides operations for determining the type of device. ">XsDeviceId</a> values </td></tr>
<tr id="row_16_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_5_" class="arrow" onclick="toggleFolder('16_5_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsMessage, g_xsMessageArrayDescriptor, XsMessageArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_5_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message_array.html" target="_self">XsMessageArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_message.html" title="Structure for storing a single message. ">XsMessage</a> values </td></tr>
<tr id="row_16_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_6_" class="arrow" onclick="toggleFolder('16_6_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsOutputConfiguration, g_xsOutputConfigurationArrayDescriptor, XsOutputConfigurationArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_6_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_output_configuration_array.html" target="_self">XsOutputConfigurationArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_output_configuration.html" title="Single data type output configuration. ">XsOutputConfiguration</a> values </td></tr>
<tr id="row_16_7_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_7_" class="arrow" onclick="toggleFolder('16_7_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsPortInfo, g_xsPortInfoArrayDescriptor, XsPortInfoArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_7_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_port_info_array.html" target="_self">XsPortInfoArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_port_info.html" title="Contains a descriptor for opening a communication port to an Xsens device. ">XsPortInfo</a> values </td></tr>
<tr id="row_16_8_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_8_" class="arrow" onclick="toggleFolder('16_8_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsString, g_xsStringArrayDescriptor, XsStringArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_8_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_string_array.html" target="_self">XsStringArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_string.html" title="A 0-terminated managed string of characters. ">XsString</a> values </td></tr>
<tr id="row_16_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_16_9_" class="arrow" onclick="toggleFolder('16_9_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_impl.html" target="_self">XsArrayImpl&lt; XsSyncSetting, g_xsSyncSettingArrayDescriptor, XsSyncSettingArray &gt;</a></td><td class="desc"></td></tr>
<tr id="row_16_9_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sync_setting_array.html" target="_self">XsSyncSettingArray</a></td><td class="desc">A list of <a class="el" href="struct_xs_sync_setting.html" title="A structure for storing all xsens sync settings. ">XsSyncSetting</a> values </td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_array_descriptor.html" target="_self">XsArrayDescriptor</a></td><td class="desc">This object describes how to treat the data in an array </td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_atomic_int.html" target="_self">XsAtomicInt</a></td><td class="desc">Wrapper class for easy use of XsAtomicIntValue values </td></tr>
<tr id="row_19_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_calibrated_data.html" target="_self">XsCalibratedData</a></td><td class="desc">Container for combined calibrated measurement data from accelerometers, gyroscopes and magnetometers </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_data_format.html" target="_self">XsDataFormat</a></td><td class="desc">A structure for storing data formats </td></tr>
<tr id="row_21_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_data_packet.html" target="_self">XsDataPacket</a></td><td class="desc">Contains data received from a device or read from a file </td></tr>
<tr id="row_22_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_device_id.html" target="_self">XsDeviceId</a></td><td class="desc">Contains an Xsens device ID and provides operations for determining the type of device </td></tr>
<tr id="row_23_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_euler.html" target="_self">XsEuler</a></td><td class="desc">Contains Euler Angle data and conversion from Quaternion </td></tr>
<tr id="row_24_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_file.html" target="_self">XsFile</a></td><td class="desc">Encapsulates a file, providing a platform independent interface </td></tr>
<tr id="row_25_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_gps_pvt_data.html" target="_self">XsGpsPvtData</a></td><td class="desc">Data from the GPS unit of a legacy MTi-G </td></tr>
<tr id="row_26_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_library_loader.html" target="_self">XsLibraryLoader</a></td><td class="desc">The Xsens dynamic library loader base class </td></tr>
<tr id="row_27_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_lib_usb.html" target="_self">XsLibUsb</a></td><td class="desc">Class for dynamic loading of winusb </td></tr>
<tr id="row_28_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_28_" class="arrow" onclick="toggleFolder('28_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_matrix.html" target="_self">XsMatrix</a></td><td class="desc">A class that represents a matrix of real numbers </td></tr>
<tr id="row_28_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_matrix3x3.html" target="_self">XsMatrix3x3</a></td><td class="desc">A class that represents a fixed size (3x3) matrix </td></tr>
<tr id="row_29_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message.html" target="_self">XsMessage</a></td><td class="desc">Structure for storing a single message </td></tr>
<tr id="row_30_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_message_header.html" target="_self">XsMessageHeader</a></td><td class="desc">A message header </td></tr>
<tr id="row_31_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_mutex.html" target="_self">XsMutex</a></td><td class="desc">A platform independent mutex implementation </td></tr>
<tr id="row_32_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_mutex_locker.html" target="_self">XsMutexLocker</a></td><td class="desc">A RAII object that ensures mutexes are unlocked when leaving scope </td></tr>
<tr id="row_33_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_output_configuration.html" target="_self">XsOutputConfiguration</a></td><td class="desc">Single data type output configuration </td></tr>
<tr id="row_34_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_port_info.html" target="_self">XsPortInfo</a></td><td class="desc">Contains a descriptor for opening a communication port to an Xsens device </td></tr>
<tr id="row_35_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_pressure.html" target="_self">XsPressure</a></td><td class="desc">Pressure data </td></tr>
<tr id="row_36_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_quaternion.html" target="_self">XsQuaternion</a></td><td class="desc">A class that implements a quaternion </td></tr>
<tr id="row_37_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_range.html" target="_self">XsRange</a></td><td class="desc">A class whose objects can be used to store a range. It provides method to check whether a value is inside the range </td></tr>
<tr id="row_38_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gnss_pvt_data.html" target="_self">XsRawGnssPvtData</a></td><td class="desc">A container for GNSS Position Velocity and Time data </td></tr>
<tr id="row_39_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gnss_sat_info.html" target="_self">XsRawGnssSatInfo</a></td><td class="desc">A container for GNSS Satellite Information </td></tr>
<tr id="row_40_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gps_dop.html" target="_self">XsRawGpsDop</a></td><td class="desc">A container for NAV-DOP data </td></tr>
<tr id="row_41_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gps_sol.html" target="_self">XsRawGpsSol</a></td><td class="desc">A container for NAV-SOL data </td></tr>
<tr id="row_42_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gps_sv_info.html" target="_self">XsRawGpsSvInfo</a></td><td class="desc">A container for NAV-SVINFO data </td></tr>
<tr id="row_43_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_raw_gps_time_utc.html" target="_self">XsRawGpsTimeUtc</a></td><td class="desc">A container for NAV-TIMEUTC data </td></tr>
<tr id="row_44_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sat_info.html" target="_self">XsSatInfo</a></td><td class="desc">A container for information of one GNSS satellite </td></tr>
<tr id="row_45_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_scr_data.html" target="_self">XsScrData</a></td><td class="desc">Container for raw sensor measurement data </td></tr>
<tr id="row_46_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sdi_data.html" target="_self">XsSdiData</a></td><td class="desc">Contains StrapDown Integration (SDI) data </td></tr>
<tr id="row_47_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_simple_version.html" target="_self">XsSimpleVersion</a></td><td class="desc">A class to store version information </td></tr>
<tr id="row_48_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_snapshot.html" target="_self">XsSnapshot</a></td><td class="desc">A container for Snapshot data </td></tr>
<tr id="row_49_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_socket.html" target="_self">XsSocket</a></td><td class="desc">A platform independent socket implementation </td></tr>
<tr id="row_50_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sv_info.html" target="_self">XsSvInfo</a></td><td class="desc">A container for information of one satellite </td></tr>
<tr id="row_51_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_sync_setting.html" target="_self">XsSyncSetting</a></td><td class="desc">A structure for storing all xsens sync settings </td></tr>
<tr id="row_52_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_time_stamp.html" target="_self">XsTimeStamp</a></td><td class="desc">This class contains method to set, retrieve and compare timestamps </td></tr>
<tr id="row_53_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_trigger_indication_data.html" target="_self">XsTriggerIndicationData</a></td><td class="desc">Data for a trigger indication message </td></tr>
<tr id="row_54_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_udev.html" target="_self">XsUdev</a></td><td class="desc">Class for dynamic loading of winusb </td></tr>
<tr id="row_55_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_u_short_vector.html" target="_self">XsUShortVector</a></td><td class="desc">A vector containing 3 short values </td></tr>
<tr id="row_56_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_utc_time.html" target="_self">XsUtcTime</a></td><td class="desc">A structure for storing UTC Time values </td></tr>
<tr id="row_57_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_57_" class="arrow" onclick="toggleFolder('57_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_vector.html" target="_self">XsVector</a></td><td class="desc">A class that represents a vector of real numbers </td></tr>
<tr id="row_57_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_vector3.html" target="_self">XsVector3</a></td><td class="desc">A class that represents a fixed size (3) vector </td></tr>
<tr id="row_58_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_xs_version.html" target="_self">XsVersion</a></td><td class="desc">A class to store version information </td></tr>
<tr id="row_59_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_xs_win_usb.html" target="_self">XsWinUsb</a></td><td class="desc">Class for dynamic loading of winusb </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
